GDB (xrefs)

Classes | Macros | Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/arc-tdep.h File Reference
`#include "dis-asm.h"`

Go to the source code of this file.

## Classes
struct | gdbarch_tdep

## Macros
#define | ARC_REGISTER_SIZE 4
#define | arc_print(fmt, args...) fprintf_unfiltered (gdb_stdlog, fmt, ##args)

## Enumerations
enum | arc_regnum { ARC_R0_REGNUM = 0, ARC_FIRST_CORE_REGNUM = ARC_R0_REGNUM, ARC_R1_REGNUM = 1, ARC_R4_REGNUM = 4, ARC_R7_REGNUM = 7, ARC_R9_REGNUM = 9, ARC_R13_REGNUM = 13, ARC_R16_REGNUM = 16, ARC_R25_REGNUM = 25, ARC_GP_REGNUM, ARC_FP_REGNUM, ARC_SP_REGNUM, ARC_ILINK_REGNUM, ARC_R30_REGNUM, ARC_BLINK_REGNUM, ARC_LP_COUNT_REGNUM = 60, ARC_RESERVED_REGNUM, ARC_LIMM_REGNUM, ARC_PCL_REGNUM, ARC_LAST_CORE_REGNUM = ARC_PCL_REGNUM, ARC_PC_REGNUM, ARC_FIRST_AUX_REGNUM = ARC_PC_REGNUM, ARC_STATUS32_REGNUM, ARC_LAST_REGNUM = ARC_STATUS32_REGNUM, ARC_LAST_AUX_REGNUM = ARC_STATUS32_REGNUM, ARC_FIRST_ARG_REGNUM = ARC_R0_REGNUM, ARC_LAST_ARG_REGNUM = ARC_R7_REGNUM, ARC_FIRST_CALLEE_SAVED_REGNUM = ARC_R13_REGNUM, ARC_LAST_CALLEE_SAVED_REGNUM = ARC_R25_REGNUM }

## Functions
static int | arc_mach_is_arc600 (struct gdbarch *gdbarch)
static int | arc_mach_is_arc700 (struct gdbarch *gdbarch)
static int | arc_mach_is_arcv2 (struct gdbarch *gdbarch)
static bool | arc_arch_is_hs (const struct bfd_arch_info *arch)
static bool | arc_arch_is_em (const struct bfd_arch_info *arch)
int | arc_delayed_print_insn (bfd_vma addr, struct disassemble_info *info)
struct disassemble_info | arc_disassemble_info (struct gdbarch *gdbarch)
CORE_ADDR | arc_insn_get_branch_target (const struct arc_instruction &insn)
CORE_ADDR | arc_insn_get_linear_next_pc (const struct arc_instruction &insn)

## Variables
int | arc_debug

## Macro Definition Documentation

## ◆ arc_print

#define arc_print | ( |  | fmt,
|  |  | args...
| ) |  | fprintf_unfiltered (gdb_stdlog, fmt, ##args)

Definition at line 92 of file arc-tdep.h.

Referenced by arc_insn_dump(), and arc_tdesc_init().

## ◆ ARC_REGISTER_SIZE

#define ARC_REGISTER_SIZE 4

Definition at line 90 of file arc-tdep.h.

Referenced by arc_extract_return_value(), arc_get_longjmp_target(), arc_is_in_prologue(), arc_push_dummy_call(), arc_return_value(), arc_store_return_value(), and arc_write_pc().

## Enumeration Type Documentation

## ◆ arc_regnum

enum arc_regnum

Enumerator
ARC_R0_REGNUM |
ARC_FIRST_CORE_REGNUM |
ARC_R1_REGNUM |
ARC_R4_REGNUM |
ARC_R7_REGNUM |
ARC_R9_REGNUM |
ARC_R13_REGNUM |
ARC_R16_REGNUM |
ARC_R25_REGNUM |
ARC_GP_REGNUM |
ARC_FP_REGNUM |
ARC_SP_REGNUM |
ARC_ILINK_REGNUM |
ARC_R30_REGNUM |
ARC_BLINK_REGNUM |
ARC_LP_COUNT_REGNUM |
ARC_RESERVED_REGNUM |
ARC_LIMM_REGNUM |
ARC_PCL_REGNUM |
ARC_LAST_CORE_REGNUM |
ARC_PC_REGNUM |
ARC_FIRST_AUX_REGNUM |
ARC_STATUS32_REGNUM |
ARC_LAST_REGNUM |
ARC_LAST_AUX_REGNUM |
ARC_FIRST_ARG_REGNUM |
ARC_LAST_ARG_REGNUM |
ARC_FIRST_CALLEE_SAVED_REGNUM |
ARC_LAST_CALLEE_SAVED_REGNUM |

Definition at line 33 of file arc-tdep.h.

## Function Documentation

## ◆ arc_arch_is_em()

static bool arc_arch_is_em | ( | const struct bfd_arch_info * | arch | ) |
| inline static

Definition at line 136 of file arc-tdep.h.

References startswith().

## ◆ arc_arch_is_hs()

static bool arc_arch_is_hs | ( | const struct bfd_arch_info * | arch | ) |
| inline static

Definition at line 130 of file arc-tdep.h.

References startswith().

Referenced by arc_gdbarch_init().

## ◆ arc_delayed_print_insn()

int arc_delayed_print_insn | ( | bfd_vma | addr,
|  | struct disassemble_info * | info
| ) |  |

Definition at line 1404 of file arc-tdep.c.

References default_print_insn(), find_pc_section(), and obj_section::the_bfd_section.

Referenced by arc_analyze_prologue(), arc_gdbarch_init(), and dump_arc_instruction_command().

## ◆ arc_disassemble_info()

struct disassemble_info arc_disassemble_info | ( | struct gdbarch * | gdbarch | ) |

Definition at line 1195 of file arc-tdep.c.

References gdbarch_bfd_arch_info(), gdbarch_byte_order(), null_stream, and target_read_code().

Referenced by arc_analyze_prologue(), and dump_arc_instruction_command().

## ◆ arc_insn_get_branch_target()

CORE_ADDR arc_insn_get_branch_target | ( | const struct arc_instruction & | insn | ) |

Definition at line 265 of file arc-tdep.c.

References align_down(), ARC_BLINK_REGNUM, arc_insn_get_linear_next_pc(), arc_insn_get_operand_value(), fprintf_unfiltered(), gdb_assert, gdb_assert_not_reached, gdb_stderr, get_current_regcache(), and regcache_cooked_read_unsigned().

Referenced by arc_insn_dump().

## ◆ arc_insn_get_linear_next_pc()

CORE_ADDR arc_insn_get_linear_next_pc | ( | const struct arc_instruction & | insn | ) |

Definition at line 407 of file arc-tdep.c.

Referenced by arc_analyze_prologue(), arc_insn_dump(), and arc_insn_get_branch_target().

## ◆ arc_mach_is_arc600()

static int arc_mach_is_arc600 | ( | struct gdbarch * | gdbarch | ) |
| inline static

Definition at line 108 of file arc-tdep.h.

References gdbarch_bfd_arch_info().

Referenced by arc_breakpoint_kind_from_pc(), and arc_gdbarch_init().

## ◆ arc_mach_is_arc700()

static int arc_mach_is_arc700 | ( | struct gdbarch * | gdbarch | ) |
| inline static

Definition at line 115 of file arc-tdep.h.

References gdbarch_bfd_arch_info().

## ◆ arc_mach_is_arcv2()

static int arc_mach_is_arcv2 | ( | struct gdbarch * | gdbarch | ) |
| inline static

Definition at line 121 of file arc-tdep.h.

References gdbarch_bfd_arch_info().

## Variable Documentation

## ◆ arc_debug

int arc_debug

Definition at line 89 of file arc-tdep.c.

Referenced by _initialize_arc_tdep(), arc_analyze_prologue(), arc_extract_return_value(), arc_frame_this_id(), arc_gdbarch_init(), arc_get_longjmp_target(), arc_make_frame_cache(), arc_newlib_init_osabi(), arc_newlib_osabi_sniffer(), arc_push_dummy_call(), arc_return_value(), arc_skip_prologue(), arc_store_return_value(), arc_tdesc_init(), arc_unwind_pc(), arc_unwind_sp(), and arc_write_pc().